--  tux-translate - Automatic human language translation.
--  Copyright (C) 2007 Thomas Cort <tux-translate@tux.name>
--
--  This library is free software; you can redistribute it and/or
--  modify it under the terms of the GNU Lesser General Public
--  License as published by the Free Software Foundation; either
--  version 2.1 of the License, or (at your option) any later version.
--
--  This library is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
--  Lesser General Public License for more details.
--
--  You should have received a copy of the GNU Lesser General Public
--  License along with this library; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


DROP DATABASE IF EXISTS tt;
CREATE DATABASE tt;
USE tt;

--
--  The following tables are here for examples only.
--  They will be created "on the fly" by the tools
--

-- DROP TABLE IF EXISTS package;
-- CREATE TABLE package (
--	id MEDIUMINT NOT NULL AUTO_INCREMENT,
--	name CHAR(64) NOT NULL,
--	version CHAR(16) NOT NULL,
--	homepage CHAR(255) NOT NULL,
--	download CHAR(255) NOT NULL,
--	PRIMARY KEY (id)
-- );
--
-- DROP TABLE IF EXISTS license;
-- CREATE TABLE license (
--	id MEDIUMINT NOT NULL AUTO_INCREMENT,
--	name CHAR(64) NOT NULL,
--	url CHAR(255) NOT NULL,
--	PRIMARY KEY (id)
-- );
--
-- DROP TABLE IF EXISTS package_license;
-- CREATE TABLE package_license (
--	pkgid MEDIUMINT NOT NULL,
--	licid MEDIUMINT NOT NULL,
--	PRIMARY KEY (pkgid, licid)
-- );
--
--
-- CREATE TABLE en (
-- 	id MEDIUMINT NOT NULL AUTO_INCREMENT,
-- 	message TEXT NOT NULL,
-- 	PRIMARY KEY (id)
-- );
--
-- CREATE TABLE fr (
-- 	id MEDIUMINT NOT NULL AUTO_INCREMENT,
-- 	message TEXT NOT NULL,
-- 	PRIMARY KEY (id)
-- );
-- 
-- CREATE TABLE pkg_en (
-- 	pkgid MEDIUMINT NOT NULL,
-- 	langid MEDIUMINT NOT NULL,
-- 	PRIMARY KEY (pkgid, enid)
-- );
-- 
-- CREATE TABLE pkg_fr (
-- 	pkgid MEDIUMINT NOT NULL,
-- 	langid MEDIUMINT NOT NULL,
-- 	PRIMARY KEY (pkgid, langid)
-- );
-- 
-- CREATE TABLE en_fr (
-- 	ida MEDIUMINT NOT NULL,
-- 	idb MEDIUMINT NOT NULL,
-- 	PRIMARY KEY (ida, idb)
-- );
-- 
-- CREATE TABLE fr_en (
-- 	ida MEDIUMINT NOT NULL,
-- 	idb MEDIUMINT NOT NULL,
-- 	PRIMARY KEY (ida, idb)
-- );
